Subject: Re: [MMUSIC] Benjamin Kaduk's No Objection on draft-ietf-mmusic-trickle-ice-sip-14: (with COMMENT)

From: Thomas Stach <[email-masked]>
Date: Tue, 3 Apr 2018 19:00:26 +0200

Benjamin,

thanks for your comments, responses inline

On 2018-03-29 23:06, Benjamin Kaduk wrote:
> Benjamin Kaduk has entered the following ballot position for
> draft-ietf-mmusic-trickle-ice-sip-14: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-mmusic-trickle-ice-sip/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Section 5 has (and IIRC other places are similar):
>
>     SIP User Agents (UAs) that support and intend to use trickle ICE are
>     required by [I-D.ietf-ice-trickle] to indicate that in their Offers
>     and Answers using the attribute "a=ice-options:trickle" and MUST
>     include the SIP option-tag "trickle-ice" in a SIP Supported: header
>     field.
>
> It's a little strange to me to say that the core trickle spec mandates specifically the
> "a=ice-options:trickle" attribute, which is only defined in this document.  The core
> spec does mandate some form of indication, but maybe it is more clear to phrase as
> something like:
>
>     SIP User Agents (UAs) that support and intend to use trickle ICE are
>     required by [I-D.ietf-ice-trickle] to indicate that support in their Offers
>     and Answers.  For SIP, this is done using the attribute "a=ice-options:trickle", and
>     the SIP option-tag "trickle-ice" MUST be included in a SIP Supported: header
>     field.
I'll include your proposed text.
> In the scenario depicted in Figure 10, how is it indicated to Bob that Alice supports
> trickle (and should that mechanism be indicated in the figure)?
Well, in the INVITE as described elsewhere in the document.
In order to make the figure complete and consistent I'll add Supported: 
trickle-ice to the INVITE
(together with an indication for an Offer in the INVITE body).

Thanks
Thomas